<template>
  <div>
    <div class="row">
      <div class="col-md-10"><h1>Lista pracowników</h1></div>
      <div class="col-md-1">
        <router-link to="/add" class="btn btn-warning pull-right">Dodaj pracownika</router-link>
      </div>
    </div>
    <table class="table">
      <tr>
        <th>ID</th>
        <th>Imie</th>
        <th>Napój</th>
        <th>Cukier</th>
        <th>Mleko</th>
        <th>Akcje</th>
      </tr>
      <tr v-for="employee in employees">
        <td>{{employee.id}}</td>
        <td>{{employee.name}}</td>
        <td>{{drink[employee.drink]}}</td>
        <td v-if="employee.sugar > 0">{{employee.sugar}} łyżeczki</td>
        <td v-else>Bez cukru</td>
        <td>{{milk[employee.milk]}}</td>
        <td>
          <router-link v-bind:to="'/'+employee.id+'/edit'" class="btn btn-small btn-primary">Edytuj</router-link>
          <button v-on:click="deleteEmployee(employee.id)" class="btn btn-small btn-danger">Usuń</button>
          </td>
      </tr>
    </table>
  </div>
</template>

<script>
export default {
  data () {
    return {
      employees: [],
      drink: {
        1: 'Kawa',
        2: 'Herbata',
        3: 'Woda'
      },
      milk: {
        0: 'Nie',
        1: 'Tak'
      }
    }
  },
  methods: {
    getEmployees(){
      this.$http.get(this.$root.api + 'employee')
        .then(response => response.json())
        .then(result => this.employees = result)
    },
    deleteEmployee(id){
      this.$http.delete(this.$root.api + 'employee/'+id)
        .then(()=>{
          this.getEmployees();
        });
    }
  },
  created: function(){
    this.getEmployees();
  }
}
</script>

<style scoped>
</style>
